Package wx :: Class SashWindow

[frames | no frames]

## Type SashWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        SashWindow

Known Subclasses:
  `SashLayoutWindow`

Proxy of C++ SashWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
int | `GetDefaultBorderSize(self)`
int | `GetEdgeMargin(self, edge)`
int | `GetExtraBorderSize(self)`
int | `GetMaximumSizeX(self)`
int | `GetMaximumSizeY(self)`
int | `GetMinimumSizeX(self)`
int | `GetMinimumSizeY(self)`
bool | `GetSashVisible(self, edge)`
bool | `HasBorder(self, edge)`
int | `SashHitTest(self, x, y, tolerance)`
| `SetDefaultBorderSize(self, width)`
| `SetExtraBorderSize(self, width)`
| `SetMaximumSizeX(self, max)`
| `SetMaximumSizeY(self, max)`
| `SetMinimumSizeX(self, min)`
| `SetMinimumSizeY(self, min)`
| `SetSashBorder(self, edge, border)`
| `SetSashVisible(self, edge, sash)`
| `SizeWindows(self)`

Property Summary
| `DefaultBorderSize`: See `GetDefaultBorderSize` and `SetDefaultBorderSize`
| `ExtraBorderSize`: See `GetExtraBorderSize` and `SetExtraBorderSize`
| `MaximumSizeX`: See `GetMaximumSizeX` and `SetMaximumSizeX`
| `MaximumSizeY`: See `GetMaximumSizeY` and `SetMaximumSizeY`
| `MinimumSizeX`: See `GetMinimumSizeX` and `SetMinimumSizeX`
| `MinimumSizeY`: See `GetMinimumSizeY` and `SetMinimumSizeY`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxSW_3D, name=SashNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxSW_3D, name=SashNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

Property Details

### DefaultBorderSize

See `GetDefaultBorderSize` and `SetDefaultBorderSize`

  Get Method:
    `GetDefaultBorderSize`(self)
  Set Method:
    `SetDefaultBorderSize`(self, width)

### ExtraBorderSize

See `GetExtraBorderSize` and `SetExtraBorderSize`

  Get Method:
    `GetExtraBorderSize`(self)
  Set Method:
    `SetExtraBorderSize`(self, width)

### MaximumSizeX

See `GetMaximumSizeX` and `SetMaximumSizeX`

  Get Method:
    `GetMaximumSizeX`(self)
  Set Method:
    `SetMaximumSizeX`(self, max)

### MaximumSizeY

See `GetMaximumSizeY` and `SetMaximumSizeY`

  Get Method:
    `GetMaximumSizeY`(self)
  Set Method:
    `SetMaximumSizeY`(self, max)

### MinimumSizeX

See `GetMinimumSizeX` and `SetMinimumSizeX`

  Get Method:
    `GetMinimumSizeX`(self)
  Set Method:
    `SetMinimumSizeX`(self, min)

### MinimumSizeY

See `GetMinimumSizeY` and `SetMinimumSizeY`

  Get Method:
    `GetMinimumSizeY`(self)
  Set Method:
    `SetMinimumSizeY`(self, min)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net